Subject: Re: [Tools-team] do we need a framework?

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 01 Sep 2004 10:47:20 +0200

--On 30. august 2004 11:20 -0600 Alex Rousskov 
<[email-masked]> wrote:

> On Sun, 29 Aug 2004, Harald Tveit Alvestrand wrote:
>
>> I don't think we actually need to be able to PROVE identity. But we
>> do need to be able to do some kind of "did you submit this?" check
>> if the issue ever comes up.
>
> I am not sure I follow. If we cannot prove submitter identity (to a
> required degree of proof) when the draft is posted, then we cannot
> implement a post-factum "did you submit this?" check. A malicious
> submitter would just say "no, I did not; give me my company IP back!". We
> have to rely on information logged during the submission (which may
> require several iterations and essentially means proving identity).

No, I don't think so - when someone says "I did not submit this", we take 
down the draft.
We may want to hand over evidence from the submission process to the person 
in whose name the submission was made, so that they can pursue this - but I 
do not think we need to dive into the "we have to prove that you did this" 
rathole.

> AFAIK, electronic signatures are starting to gain legal acceptance so we
> may have good luck with using modern authentication methods.
>
> We can also discuss recommending "now respond with this key to complete
> your post" e-mail interface as an alternative (it will verify temporary
> control of submitter's e-mail address).

maybe. That's all that is needed to register an account in most 
relatively-open systems out there - and we want the IETF to remain a 
relatively-open system.

                    Harald

_______________________________________________
Tools-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-team

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 01 Sep 2004 10:43:06 +0200

--On 30. august 2004 11:05 -0600 Alex Rousskov 
<[email-masked]> wrote:

> On Sat, 28 Aug 2004, Harald Tveit Alvestrand wrote:
>
>> We should make sure the system mostly works without requiring that
>> identity to be linked to a person - unless we have to.
>
> Agreed.
>
> Legal issues aside, multiple identities for a single person, a single
> identity for multiple persons, and even software-managed identity without
> specific human association should be allowed in principle.
>
> However, besides legal issues, the difficulty would be in surviving a
> malicious attack polluting IETF repositories with millions of
> authenticated but bogus drafts. If and as soon as we remove rate-limiting
> Secretariat from the loop, we have to be ready for this kind of abuse.

this is one for the security considerations section of the draft.

measuring the pre-IETF submission rate and saying "rate-limit automatic 
tools at 2x that rate, and hit the alarm if you get to that limit" should 
be enough.